> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# フィードバックのペイロードスキーマ

> サンプル行からフィードバックペイロードのスキーマ（パスとタイプ）を特定します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /feedback/payload_schema
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /feedback/payload_schema:
    post:
      tags:
        - Feedback
      summary: フィードバックのペイロードスキーマ
      description: サンプル行からフィードバックペイロードのスキーマ（パスとタイプ）を特定します。
      operationId: feedback_payload_schema_feedback_payload_schema_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackPayloadSchemaReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackPayloadSchemaRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    FeedbackPayloadSchemaReq:
      additionalProperties: false
      description: フィードバックのペイロード スキーマを検出するためのリクエスト。
      properties:
        end:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 終了時刻（UTC、ISO 8601、含まない）。省略した場合は現在時刻がデフォルトです。
          title: End
        feedback_type:
          anyOf:
            - type: string
            - type: 'null'
          description: feedback_type でフィルターします。
          title: Feedback Type
        project_id:
          title: Project Id
          type: string
        sample_limit:
          default: 2000
          description: >-
            ペイロード スキーマの検出時にサンプリングする、重複のない trigger_ref の最大数です。通常、各
            trigger_ref（monitor/source）ではペイロード構造は固定されているため、ref ごとに 1
            つのペイロードをサンプリングすれば、完全なスキーマを確認するには十分です。2,000
            で実運用のほぼすべてのプロジェクトをカバーしつつ、クエリを高速に保てます。5,000 のハード上限により、過剰なスキャンを防止します。
          maximum: 5000
          minimum: 1
          title: Sample Limit
          type: integer
        start:
          description: 開始時刻（UTC、ISO 8601、含む）。
          format: date-time
          title: Start
          type: string
        trigger_ref:
          anyOf:
            - type: string
            - type: 'null'
          description: trigger_ref でフィルターします（all-versions では完全一致またはプレフィックス一致）。
          title: Trigger Ref
      required:
        - project_id
        - start
      title: FeedbackPayloadSchemaReq
      type: object
    FeedbackPayloadSchemaRes:
      description: 検出されたフィードバック ペイロードのパスとタイプを含むResponse。
      properties:
        paths:
          description: 推定された値のタイプを持つ、検出済みのリーフ パス。
          items:
            $ref: '#/components/schemas/FeedbackPayloadPath'
          title: Paths
          type: array
      title: FeedbackPayloadSchemaRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    FeedbackPayloadPath:
      additionalProperties: false
      description: 推定された型を持つ、フィードバック ペイロード内で検出されたパス。
      properties:
        json_path:
          description: 'ペイロード内のドット パス（例: ''output.score''）。'
          title: Json Path
          type: string
        value_type:
          default: numeric
          description: パス上の値の推定タイプ。
          enum:
            - numeric
            - boolean
            - categorical
          title: Value Type
          type: string
      required:
        - json_path
      title: FeedbackPayloadPath
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````